/*se debe de remover el counter que agrega el plugin del juego y crear un nuevo cronometro personalizado, cambiando la funcion oncomplete para que desactive las preguntas
el plugin del cronometro es lib/jquery/jquery.countdown360*/

var initList = initList || [];
initList.push(function() {

	var game = $("[data-sg-id='game-challenge']");
	$('#chronometer').remove();
	var chronometer= $('<div>').attr('id','chronometer');

	chronometer.countdown360({
	 	radius      : 42,
 		seconds     : 30,
 		fontColor   : 'black',
 		strokeStyle : 'transparent',/*color del borde que va disminuyendo*/
 		fillStyle   : 'white', /*color del relleno del reloj*/
 		autostart   : false,
 		onComplete  : function () { console.log('tiempo terminado') }
   	});

   game.append(chronometer);
   game.data('callResume',true);/*para que el cronometro continue y no se reinicie cada vez que pasa al siguiente nivel*/


   $("[data-sg-id='btn-init']").click();/*se cierra las instrucciones y empieza el juego*/

   	/*ver el S_G10_U01_L01_03_02_04*/

      /*para que cada vez que falla una pregunta el cronometro continue*/
      /*$("[data-sg-id='item-popup'][data-sg-key='fail'] div[data-sg-id='btn-popup-close']").click(function(){
         chronometer.countdown360().resume();
      });*/

      /*para que continue a la siguiente pregunta automaticamente*/
      $("[data-sg-id='item-popup'][data-sg-key='correct'] div[data-sg-id='btn-popup-close']").click(function(){
         $('.arrow-next').click();
      });

   	/*iniciar el cronómetro cuando se de click en el boton jugar*/
      /*$("div[data-sg-id='btn-page'][data-sg-key='next']").click(function(){
         chronometer.countdown360().start();
      });*/

      /*para detener el cronómetro cuando se da click en aprender*/
      /*var btn_aprender = $("div[data-sg-id='btn-page'][data-sg-key='prev']");
      btn_aprender.click(function(){
         chronometer.countdown360().stop();
      });*/

      /*para mostrar las etiquetas con el nombre de grupo indigena*/
      /*$('.point').click(function(){
         var idTarget = '#' + $(this).attr('data-sg-target');
         $target = $(idTarget);
         if($target.hasClass('active')){
            $target.toggle('blind',{direction:'left'},500).removeClass('active')
         }else{
            $('.label.active').toggle('blind',{direction:'left'},500).removeClass('active');
            $target.toggle('blind',{direction:'left'},500).addClass('active');
         }
      });*/
      $('.department ul li').click(function(){
         $target = $(this).attr('data-sg-target');
         $this = $(this);
         if($this.hasClass('active')){
            $('.comunidad.active').toggle('blind',{direction:'left'},500).removeClass('active');
            $this.removeClass('active');
         }else{
            $('.comunidad.active').toggle('blind',{direction:'left'},500).removeClass('active');
            $($target).toggle('blind',{direction:'left'},500).addClass('active');
            $('.department li').removeClass('active');
            $this.addClass('active');
         }
      });

      /*detener el cronómetro si se pasa a la pestaña 2, reiniciarlo si se pasa a la pestaña 1 y está en jugar*/
      /*$('[data-sg-id=elem-tab]').bind("easytabs:before", function(e, $targetPanel, settings){
         if(settings.selector == '#tabs1'){
            if(!btn_aprender.hasClass('off')){
               chronometer.countdown360().start();
            }
         }else{//tabs2
            chronometer.countdown360().stop();
         }
      }).easytabs();*/

      //para mostrar las construcciones en las diferentes regiones
      $('#mapa .region').click(function(e){
        $(this).addClass('active').siblings().removeClass('active');
        var target = $(this).attr('data-sg-target');
        $('.construcciones ' + target).show().siblings().hide();
        $(this).addClass('active').siblings().removeClass('active');
     });
});